tvbrowser.core.filters.filtercomponents

## Class ProgramInfoFilterComponent

- java.lang.Object
- - tvbrowser.core.filters.filtercomponents.AbstractFilterComponent
  - - tvbrowser.core.filters.filtercomponents.ProgramInfoFilterComponent

- All Implemented Interfaces:
    FilterComponent

      public class ProgramInfoFilterComponent
      extends AbstractFilterComponent

  Filtert nach bestimmten Programm-Informationen (zum Beispiel Untertitel)
  Author:
    bodo

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface tvbrowser.core.filters.FilterComponent

      `FilterComponent.NameComparator, FilterComponent.TypeComparator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProgramInfoFilterComponent()` Erzeugt einen leeren Filter
    `ProgramInfoFilterComponent(java.lang.String name, java.lang.String description)` Erzeugt einen Filter

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(Program program)` Wird dieses Programm akzeptiert von diesem Filter ?
    `javax.swing.JPanel` | `getSettingsPanel()` Gibt einen Panel zurueck, der es ermoeglicht, den Filter einzustellen
    `int` | `getVersion()` Gibt die Version zurueck
    `void` | `read(java.io.ObjectInputStream in, int version)` Liest die Einstellungen für dieses Plugin aus dem Stream
    `void` | `saveSettings()` Is called when the settings should be saved (i.e. the users pressed the OK button in the settings dialog)
    `java.lang.String` | `toString()` Gibt den Namen des Filters zurueck
    `void` | `write(java.io.ObjectOutputStream out)` Schreibt die Einstellungen dieses Plugins in den Stream

    - ### Methods inherited from class tvbrowser.core.filters.filtercomponents.AbstractFilterComponent

      `getDescription, getName, getTypeDescription, setDescription, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProgramInfoFilterComponent

          public ProgramInfoFilterComponent()

      Erzeugt einen leeren Filter

    - #### ProgramInfoFilterComponent

          public ProgramInfoFilterComponent(java.lang.String name,
                                    java.lang.String description)

      Erzeugt einen Filter
      Parameters:
        `name` - Name
        `description` - Beschreibung

  - ### Method Detail

    - #### getVersion

          public int getVersion()

      Gibt die Version zurueck
      Returns:
        The version number of a FilterComponent.
      See Also:
        `FilterComponent.getVersion()`

    - #### accept

          public boolean accept(Program program)

      Wird dieses Programm akzeptiert von diesem Filter ?
      Parameters:
        `program` - The program to check.
      Returns:
        `true` if the program is acceptable by the FilterComponent, `false` otherwise.
      See Also:
        `FilterComponent.accept(devplugin.Program)`

    - #### read

          public void read(java.io.ObjectInputStream in,
                  int version)
                    throws java.io.IOException,
                           java.lang.ClassNotFoundException

      Liest die Einstellungen für dieses Plugin aus dem Stream
      Parameters:
        `in` - The stream to read from.
        `version` - The version of the data.
      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`
      See Also:
        `FilterComponent.read(java.io.ObjectInputStream, int)`

    - #### write

          public void write(java.io.ObjectOutputStream out)
                     throws java.io.IOException

      Schreibt die Einstellungen dieses Plugins in den Stream
      Parameters:
        `out` - The stream to write to.
      Throws:
        `java.io.IOException`
      See Also:
        `FilterComponent.write(java.io.ObjectOutputStream)`

    - #### getSettingsPanel

          public javax.swing.JPanel getSettingsPanel()

      Gibt einen Panel zurueck, der es ermoeglicht, den Filter einzustellen
      Returns:
        The settings panel the FilterComponent.
      See Also:
        `FilterComponent.getSettingsPanel()`

    - #### saveSettings

          public void saveSettings()

      Description copied from interface: `FilterComponent`
      Is called when the settings should be saved (i.e. the users pressed the OK button in the settings dialog)

    - #### toString

          public java.lang.String toString()

      Gibt den Namen des Filters zurueck
      Overrides:
        `toString` in class `java.lang.Object`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)